Bug 2100836 - [OCP 4.10] multipath support needs multipath modules
Summary: [OCP 4.10] multipath support needs multipath modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.10
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.10.z
Assignee: Riccardo Pittau
QA Contact: Lubov
URL:
Whiteboard:
Depends On: 2100749
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-24 12:09 UTC by Riccardo Pittau
Modified: 2022-07-20 07:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2100749
Environment:
Last Closed: 2022-07-20 07:46:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-agent-image pull 55 0 None open Bug 2100836: Add missing multipath modules 2022-06-27 08:31:51 UTC
Red Hat Product Errata RHBA-2022:5568 0 None None None 2022-07-20 07:46:27 UTC

Description Riccardo Pittau 2022-06-24 12:09:04 UTC
+++ This bug was initially created as a clone of Bug #2100749 +++

during node inspection, if we set a multipath device as device hint for the installation, the multipath modules need to be present and active to create the initial multipath configuration
if the modules are missing from the ironic-python-agent ramdisk, they can't be activated, and the device can't be found as not initialized

an example from the ipa logs:
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Command: modprobe dm_multipath
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Exit code: 1
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Stdout: ''
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Stderr: 'modprobe: FATAL: Module dm_multipath not found in directory /lib/modules/4.18.0-305.45.1.el8_4.x86_64\n' try_execute /usr/lib/python3.6/site-packages/ironic_lib/utils.py:132
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: 2022-06-23 12:11:20.426 1 DEBUG oslo_concurrency.processutils [-] Running cmd (subprocess): modprobe multipath execute /usr/lib/python3.6/site-packages/oslo_concurrency/processutils.py:384
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: 2022-06-23 12:11:20.428 1 DEBUG oslo_concurrency.processutils [-] CMD "modprobe multipath" returned: 1 in 0.002s execute /usr/lib/python3.6/site-packages/oslo_concurrency/processutils.py:423
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: 2022-06-23 12:11:20.429 1 DEBUG oslo_concurrency.processutils [-] 'modprobe multipath' failed. Not Retrying. execute /usr/lib/python3.6/site-packages/oslo_concurrency/processutils.py:474
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: 2022-06-23 12:11:20.429 1 DEBUG ironic_lib.utils [-] Command stdout is: "" _log /usr/lib/python3.6/site-packages/ironic_lib/utils.py:99
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: 2022-06-23 12:11:20.429 1 DEBUG ironic_lib.utils [-] Command stderr is: "modprobe: FATAL: Module multipath not found in directory /lib/modules/4.18.0-305.45.1.el8_4.x86_64
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: " _log /usr/lib/python3.6/site-packages/ironic_lib/utils.py:100
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: 2022-06-23 12:11:20.429 1 DEBUG ironic_lib.utils [-] Command failed: Unexpected error while running command.
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Command: modprobe multipath
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Exit code: 1
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Stdout: ''
00ebe8da-effc-42ff-b511-ea72f0b0922f_20220623-121335.046506.tar.gz: Stderr: 'modprobe: FATAL: Module multipath not found in directory /lib/modules/4.18.0-305.45.1.el8_4.x86_64\n' try_execute /usr/lib/python3.6/site-packages/ironic_lib/utils.py:132

resulting then in:
2022-06-23 08:05:01.492 1 DEBUG ironic_lib.utils [-] Trying to find devices from “/dev/sdb, /dev/sdc, /dev/sdd, /dev/sde, /dev/sdf, /dev/sdg, /dev/sdh, /dev/sdi” that match the device hints “{‘name’: ‘s== /dev/dm-0’}” find_devices_by_hints /usr/lib/python3.6/site-packages/ironic_lib/utils.py:389

Comment 6 errata-xmlrpc 2022-07-20 07:46:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.23 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:5568


Note You need to log in before you can comment on or make changes to this bug.